package app.fedilab.fedilabtube.asynctasks;
/* Copyright 2020 Thomas Schneider
 *
 * This file is a part of TubeLab
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * TubeLab is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with TubeLab; if not,
 * see <http://www.gnu.org/licenses>. */

import android.content.Context;
import android.os.AsyncTask;

import java.lang.ref.WeakReference;

import app.fedilab.fedilabtube.client.APIResponse;
import app.fedilab.fedilabtube.client.PeertubeAPI;
import app.fedilab.fedilabtube.interfaces.OnRetrieveFeedsInterface;


public class RetrievePeertubeSearchAsyncTask extends AsyncTask<Void, Void, Void> {

    private String query, max_id;
    private APIResponse apiResponse;
    private OnRetrieveFeedsInterface listener;
    private WeakReference<Context> contextReference;

    public RetrievePeertubeSearchAsyncTask(Context context, String max_id, String query, OnRetrieveFeedsInterface onRetrieveFeedsInterface) {
        this.contextReference = new WeakReference<>(context);
        this.query = query;
        this.listener = onRetrieveFeedsInterface;
        this.max_id = max_id;
    }


    @Override
    protected Void doInBackground(Void... params) {
        PeertubeAPI api = new PeertubeAPI(this.contextReference.get());
        apiResponse = api.searchPeertube(query, max_id);
        return null;
    }

    @Override
    protected void onPostExecute(Void result) {
        listener.onRetrieveFeeds(apiResponse);
    }

}
